with GNATCOM.Dispinterface;

package MSHTML.IHTMLStyleSheetRule_Object is

   type IHTMLStyleSheetRule_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_selectorText
     (This : IHTMLStyleSheetRule_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selectorText
     (This : IHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_style
     (This : IHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_readOnly
     (This : IHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLStyleSheetRule_Object;

